Page MenuHomePhabricator

OO.ui.WindowManager#addWindows: Windows must have a `name` static property
Closed, ResolvedPublic

Description

Open a map, e.g. by going to https://www.mediawiki.org/wiki/Help:Extension:Kartographer#/map/1

You'll get the aforementioned warning in JS console, and it's caused by ext.kartographer.dialog.

Event Timeline

MaxSem created this task.Jan 5 2017, 10:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2017, 10:59 PM

Change 331395 had a related patch set uploaded (by JGirault):
Add static name property to map dialog window

https://gerrit.wikimedia.org/r/331395

JGirault claimed this task.Jan 9 2017, 8:26 PM
JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.
Deskana triaged this task as Normal priority.Jan 20 2017, 6:39 PM

Change 331395 merged by jenkins-bot:
Add static name property to map dialog window

https://gerrit.wikimedia.org/r/331395

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Feb 6 2017, 11:02 PM
JGirault closed this task as Resolved.Apr 17 2017, 7:37 PM